# BuildLayout

@Incubating
@ServiceScope(value = Settings::class)
interface BuildLayout

Provides access to important locations for a Gradle build.

An instance of this type can be injected into a settings plugin by annotating a public constructor or method with `javax.inject.Inject`. It is also available via getLayout.

Note: This interface is not intended for implementation by build script or plugin authors.

#### Since

8.5

## Functions

getRootDirectory
Link copied to clipboard
abstract fun getRootDirectory(): Directory
Returns the root directory of the build.
getSettingsDirectory
Link copied to clipboard
abstract fun getSettingsDirectory(): Directory
Returns the settings directory.